#include "orbitersdk.h"
#include "quaternion.h"

HINSTANCE g_hDLL;

class pv34_sarj : public VESSEL3
{
public:
	pv34_sarj(OBJHANDLE hObj, int fmodel);
	~pv34_sarj();

	void clbkSetClassCaps(FILEHANDLE cfg);
	void clbkPostStep(double simt, double simdt, double mjd);
	int clbkConsumeBufferedKey(DWORD key, bool down, char *kstate);
	static bool clbkTgtAngle(void *id, char *str, void *usrdata);
	static bool clbkTgtRate(void *id, char *str, void *usrdata);
	bool clbkDrawHUD(int mode, const HUDPAINTSPEC *hps, oapi::Sketchpad *skp);

	void clbkSaveState(FILEHANDLE scn);
	void clbkLoadStateEx(FILEHANDLE scn, void *status);

	//MESHHANDLE hMesh;
	//UINT uMeshIdx;
	

	DOCKHANDLE hDock;
	ATTACHMENTHANDLE attP4, attESP1, attESP2, attBay, attPORT, attSTBD, attP3S3;

	//MATRIX3 RotateVector(double angle);
	double rotSpeed;
	double tgtAngle;
	double currAngle;

	bool tracking;
	bool bOpp;

	void RotateAttachment(double angle);


};